/*
 *  DXRssParserExceptions.h
 *  DXSearchers
 *
 *  Created by Oliver Kahrmann on 03.04.11.
 *  Copyright 2011 DHELIXSoft. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>


#pragma mark Application-Critical Exceptions

static const int DXRssWrongTopLevelTagException = 1001;
static const int DXRssNoChannelItemException = 1002;

#pragma mark Data-Critical Exceptions

static const int DXRssTooManySubElementsOfRssException = 2001;
static const int DXRssTooManyChannelElementsException = 2002;
static const int DXRssTooManyAttributesException = 2003;
static const int DXRssInvalidDateException = 2004;
static const int DXRssUnrecognizedElementException = 2005;
static const int DXRssInvalidDaySpecifiedException = 2006;
static const int DXRssInvalidHourSpecifiedException = 2007;
static const int DXRssDaySpecifiedTwiceException = 2008;
static const int DXRssHourSpecifiedTwiceException = 2009;
static const int DXRssCategorySpecifiedTwiceException = 2010;
static const int DXRssUrlInvalidException = 2011;
static const int DXRssUrlUncheckableException = 2012;

#pragma mark Non-Critical Exceptions

static const int DXRssVersionTagMissingException = 3001;
static const int DXRssTagDataNilWhereNotAllowedException = 3002;
static const int DXRssChannelTitleNotSpecifiedException = 3003;
static const int DXRssChannelLinkNotSpecifiedException = 3004;
static const int DXRssChannelDescriptionNotSpecifiedException = 3005;
static const int DXRssEnclosureUrlTagMissingException = 3006;
static const int DXRssEnclosureLengthTagMissingException = 3007;
static const int DXRssEnclosureTypeTagMissingException = 3008;
static const int DXRssImageUrlTagMissingException = 3009;
static const int DXRssImageTitleTagMissingException = 3010;
static const int DXRssImageLinkTagMissingException = 3011;
static const int DXRssTextInputTitleTagMissingException = 3012;
static const int DXRssTextInputLinkTagMissingException = 3013;
static const int DXRssTextInputNameTagMissingException = 3014;
static const int DXRssTextInputDescriptionTagMissingException = 3015;
static const int DXRssCloudDomainTagMissingException = 3016;
static const int DXRssCloudPortTagMissingException = 3017;
static const int DXRssCloudPathTagMissingException = 3018;
static const int DXRssCloudRegisterProcedureTagMissingException = 3019;
static const int DXRssCloudProtocolTagMissingException = 3020;
